Update Feedback

​

Updates feedback in the system based on the ID of the feedback

Path Parameters

  • The value of the feedback_id parameter returned in the response of the Create Feedback API

Headers

  • Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

  • Set this header to application/json.

Body

application/json
  • ID of the check-in for which a user provides feedback

  • Email address of the user in the Punchh system. You can get this value from the User object, email parameter in the response of a successful Online Ordering sign-up / sign-in API call or Mobile sign-up / sign-in API call.

  • Text feedback that a user provides

  • Phone number of the user in the Punchh system. You can get this value from the User object, phone parameter in the response of a successful Online Ordering sign-up / sign-in API call or Mobile sign-up / sign-in API call.

  • Photo URL of the feedback that a user provides

  • ID of the redemption for which a user provides feedback

  • Whether the user wants to be contacted by the business for this feedback or not. Possible values: true, false

  • ID of the user in the Punchh system. You can get this value from the User object, user_id parameter in the response of a successful Online Ordering sign-up / sign-in API call or Mobile sign-up / sign-in API call.

  • Video URL of the feedback that a user provides

Responses

  • OK

  • application/json
Request Example for patch/api2/dashboard/feedbacks/{feedback_id}
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/feedbacks/{feedback_id}' \
  --request PATCH \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
  --header 'Content-Type: application/json' \
  --data '{
  "message": "Good Coffee.",
  "user_id": 111111,
  "checkin_id": "8393395",
  "redemption_id": "106819236",
  "video_url": "VIDEO_URL_GOES_HERE",
  "photo_url": "PHOTO_URL_GOES_HERE",
  "requires_response": false
}'
No Body